NX Open C++ Reference Guide
|
Represents a Die::DiePlaneBuilder . More...
Public Types | |
enum | PlaneType { PlaneTypeSelection, PlaneTypePlane, PlaneTypeCoordinateSystem } |
the options available for defining the plane More... | |
Public Member Functions | |
NXOpen::Matrix3x3 | CoordinateSystemMatrix () |
Returns the coordinate system matrix Created in NX6.0.0. | |
NXOpen::Point3d | CoordinateSystemOrigin () |
Returns the coordinate system origin Created in NX6.0.0. | |
NXOpen::Die::DiePlaneBuilder::PlaneType | InputType () |
Returns the type of input that defined the plane Created in NX7.5.0. | |
bool | ReverseSourceDirection () |
Returns the indication if the source's direction should be reversed. | |
NXOpen::SelectNXObject * | SelectPlane () |
Returns the selected plane Created in NX6.0.0. | |
void | SetCoordinateSystemMatrix (const NXOpen::Matrix3x3 &coordinateSystemMatrix) |
Sets the coordinate system matrix Created in NX6.0.0. | |
void | SetCoordinateSystemOrigin (const NXOpen::Point3d &coordinateSystemOrigin) |
Sets the coordinate system origin Created in NX6.0.0. | |
void | SetInputType (NXOpen::Die::DiePlaneBuilder::PlaneType inputType) |
Sets the type of input that defined the plane Created in NX7.5.0. | |
void | SetReverseSourceDirection (bool reverseSourceDirection) |
Sets the indication if the source's direction should be reversed. | |
void | SetSpecifyPlane (NXOpen::Plane *specifyPlane) |
Sets the specified plane Created in NX6.0.0. | |
NXOpen::Plane * | SpecifyPlane () |
Returns the specified plane Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Die::DiePlaneBuilder .
The Die Plane is a helper to the main Die Design feature to specify the plane, such as the base plane or end planes. If a coordinate system is specified, then the XY plane of the coordinate system will be used.
To create a new instance of this class, use Die::DieCollection::CreateDiePlane
Created in NX6.0.0.
NXOpen::Matrix3x3 NXOpen::Die::DiePlaneBuilder::CoordinateSystemMatrix | ( | ) |
Returns the coordinate system matrix
Created in NX6.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Die::DiePlaneBuilder::CoordinateSystemOrigin | ( | ) |
Returns the coordinate system origin
Created in NX6.0.0.
License requirements : None
NXOpen::Die::DiePlaneBuilder::PlaneType NXOpen::Die::DiePlaneBuilder::InputType | ( | ) |
Returns the type of input that defined the plane
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::DiePlaneBuilder::ReverseSourceDirection | ( | ) |
Returns the indication if the source's direction should be reversed.
True indicates the source's direction should be reversed
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Die::DiePlaneBuilder::SelectPlane | ( | ) |
Returns the selected plane
Created in NX6.0.0.
License requirements : None
void NXOpen::Die::DiePlaneBuilder::SetCoordinateSystemMatrix | ( | const NXOpen::Matrix3x3 & | coordinateSystemMatrix | ) |
Sets the coordinate system matrix
Created in NX6.0.0.
License requirements : ug_die_design ("Die Design")
coordinateSystemMatrix | coordinatesystemmatrix |
void NXOpen::Die::DiePlaneBuilder::SetCoordinateSystemOrigin | ( | const NXOpen::Point3d & | coordinateSystemOrigin | ) |
Sets the coordinate system origin
Created in NX6.0.0.
License requirements : ug_die_design ("Die Design")
coordinateSystemOrigin | coordinatesystemorigin |
void NXOpen::Die::DiePlaneBuilder::SetInputType | ( | NXOpen::Die::DiePlaneBuilder::PlaneType | inputType | ) |
Sets the type of input that defined the plane
Created in NX7.5.0.
License requirements : ug_die_design ("Die Design")
inputType | inputtype |
void NXOpen::Die::DiePlaneBuilder::SetReverseSourceDirection | ( | bool | reverseSourceDirection | ) |
Sets the indication if the source's direction should be reversed.
True indicates the source's direction should be reversed
Created in NX6.0.0.
License requirements : ug_die_design ("Die Design")
reverseSourceDirection | reversesourcedirection |
void NXOpen::Die::DiePlaneBuilder::SetSpecifyPlane | ( | NXOpen::Plane * | specifyPlane | ) |
Sets the specified plane
Created in NX6.0.0.
License requirements : ug_die_design ("Die Design")
specifyPlane | specifyplane |
NXOpen::Plane* NXOpen::Die::DiePlaneBuilder::SpecifyPlane | ( | ) |
Returns the specified plane
Created in NX6.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.